POST api/sticker/duplicate

Request Information

URI Parameters

None.

Body Parameters

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "0c992106-e02b-46cc-853b-96f0fadefa3a",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "f35c3c72-2d70-4195-86f1-94149568dd87",
      "contractItem_ID": "6004d39c-adb3-4ceb-bcda-87b7e2fe9935",
      "departement_ID": "74cff683-122a-4e79-ab16-28822a1e8e9c",
      "departmentItem_ID": "ea3c7db5-4d15-41b3-9524-ec983cc8355f",
      "iD": "20536cc0-0815-4d4c-84ec-dc8eb614fd71",
      "site_ID": "11f2489c-1370-4a3f-9af3-3cf2f5ccbb94",
      "siteCustomer_ID": "f8fe7270-bc3d-4f34-b7c1-f6b5c40791d9",
      "sticker_ID": "27f298ac-d4c2-4684-9df7-110139f4ce38",
      "garment_ID": "127f2db7-fd59-408f-be0e-343b9d8fe7ae"
    },
    {
      "active": true,
      "contract_ID": "f35c3c72-2d70-4195-86f1-94149568dd87",
      "contractItem_ID": "6004d39c-adb3-4ceb-bcda-87b7e2fe9935",
      "departement_ID": "74cff683-122a-4e79-ab16-28822a1e8e9c",
      "departmentItem_ID": "ea3c7db5-4d15-41b3-9524-ec983cc8355f",
      "iD": "20536cc0-0815-4d4c-84ec-dc8eb614fd71",
      "site_ID": "11f2489c-1370-4a3f-9af3-3cf2f5ccbb94",
      "siteCustomer_ID": "f8fe7270-bc3d-4f34-b7c1-f6b5c40791d9",
      "sticker_ID": "27f298ac-d4c2-4684-9df7-110139f4ce38",
      "garment_ID": "127f2db7-fd59-408f-be0e-343b9d8fe7ae"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "d7d8d5aa-d650-475c-a4f9-70c9c311f7d2",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "64665cbe-0164-46f5-bd44-389fd450f638",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "988e2de2-606b-42ee-aea7-80db07957a66",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "39da1ddf-c361-4009-a7b0-07534dbd6846",
      "stickerField_ID": "62a55715-daf4-4458-935d-9836ede4554d",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "d7d8d5aa-d650-475c-a4f9-70c9c311f7d2",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "64665cbe-0164-46f5-bd44-389fd450f638",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "988e2de2-606b-42ee-aea7-80db07957a66",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "39da1ddf-c361-4009-a7b0-07534dbd6846",
      "stickerField_ID": "62a55715-daf4-4458-935d-9836ede4554d",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "f0cdbf60-97f1-4b24-9ce9-a662e196e4b7",
  "stickerType_ID": "2597292b-477e-476d-80b4-10ffd6e2d2f9",
  "stickerRelation_IDs": [
    "66bee633-cdb8-46df-a0bf-a78105285ad8",
    "b8682e08-966d-4e2a-abaa-671b91cd588e"
  ],
  "site_ID": "ba261718-d7b7-4489-a05b-79e978c44e6e"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"d462f43c-ece7-451e-800a-55b6af0567a0"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d462f43c-ece7-451e-800a-55b6af0567a0</guid>